package admin

import (
	"github.com/kataras/iris/v12"
	"main/jwtSet"
)

func Menus(party iris.Party) {
	party.Get("/", jwtSet.Jwt.Serve, checkAdmin, getMenu)
	party.Post("/", jwtSet.Jwt.Serve, checkAdmin, addMenu)
	party.Put("/", jwtSet.Jwt.Serve, checkAdmin, updateMenu)
	party.Delete("/", jwtSet.Jwt.Serve, checkAdmin, deleteMenu)
}
